#version 400

uniform sampler2DArray inputTex;
uniform int curLayer;

in vec2 fragTexCoord;
out vec4 result;

// This is the actual code that is executed.
void main( void )
{
	// Output the result
	result = texture( inputTex, vec3( fragTexCoord.xy, float(curLayer) ) );
}